#ifndef DOMAIN_BUS_H
#define DOMAIN_BUS_H

#include "display.h"

#include <string>
#include <optional>


namespace domain {

class Bus
{
public:
    enum BusType {
        AUTOMATIC,
        REGULAR
    };
private:
    std::string name;
    std::string tooltip;
    BusType type;

    std::pair<int, int> count;
    std::optional<Display> display;

public:
    Bus(std::string name, std::string tooltip, BusType type, std::pair<int, int> count, std::optional<Display> display = std::nullopt);

    std::string getName();
    std::string getTooltip();
    BusType getType();
    std::pair<int, int> getCount();
    std::optional<Display> getDisplay();

};

} // namespace domain

#endif // DOMAIN_BUS_H
