#include "pin.h"

namespace domain {

PinConnection::PinConnection(std::string message, ConnectionType type)
    : message(message), type(type)
{}

PinConnection::ConnectionType PinConnection::getType() {
    return type;
}
std::string PinConnection::getMessage() {
    return message;
}


Pin::Pin(std::string name, PinType type, std::string tooltip, PinConnection connection, Display display)
    : name(name), type(type), tooltip(tooltip), connection(connection), display(display)
{}

std::string Pin::getName() {
    return name;
}
Pin::PinType Pin::getType() {
    return type;
}
std::string Pin::getTooltip() {
    return tooltip;
}
Display &Pin::getDisplay() {
    return display;
}
PinConnection &Pin::getConnection() {
    return connection;
}


} // namespace domain
